## CamelMimeFilterIndex

CamelMimeFilterIndex

## Synopsis

    struct              CamelMimeFilterIndex;
    CamelMimeFilterIndex* camel_mime_filter_index_new       (void);
    CamelMimeFilterIndex* camel_mime_filter_index_new_index (struct _CamelIndex *index);
    void                camel_mime_filter_index_set_name    (CamelMimeFilterIndex *filter,
                                                             struct _CamelIndexName *name);
    void                camel_mime_filter_index_set_index   (CamelMimeFilterIndex *filter,
                                                             struct _CamelIndex *index);

## Description

## Details

### struct CamelMimeFilterIndex

    struct CamelMimeFilterIndex {
    	CamelMimeFilter parent;

    	struct _CamelMimeFilterIndexPrivate *priv;

    	struct _CamelIndex *index;
    	struct _CamelIndexName *name;
    };

### camel_mime_filter_index_new ()

    CamelMimeFilterIndex* camel_mime_filter_index_new       (void);

Returns : |

### camel_mime_filter_index_new_index ()

    CamelMimeFilterIndex* camel_mime_filter_index_new_index (struct _CamelIndex *index);

`index` : |
Returns : |

### camel_mime_filter_index_set_name ()

    void                camel_mime_filter_index_set_name    (CamelMimeFilterIndex *filter,
                                                             struct _CamelIndexName *name);

`filter` : |
`name` : |

### camel_mime_filter_index_set_index ()

    void                camel_mime_filter_index_set_index   (CamelMimeFilterIndex *filter,
                                                             struct _CamelIndex *index);

`filter` : |
`index` : |